<?php
/*
Plugin Name: WP Skype Live Chat
Plugin URI: https://ninewp.com
Description: SKype Live Chat is a WordPress plugin allow put your Skype live chat box on your website, visitors can chat with you via it or APP, Website,.. Skype. This is easy way to support and keep contact with your customers
Version: 1.0.0
Author: thinhbg59
Text Domain: skype-live-chat
Domain Path: /languages
*/

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class WP_Skype_Live_Chat
{

    /**
     * Skype_Live_Chat constructor.
     */
    public function __construct()
    {
        define('SLC_PLUGIN_DIR', plugin_dir_path(__FILE__));

        add_action('init', array($this, 'load_plugin_textdomain'), 0);

        $this->includes();

        add_action('wp_enqueue_scripts', array($this, 'scripts'));
        add_action('wp_footer', array($this, 'frontend'));
    }

    function load_plugin_textdomain()
    {

        $locale = apply_filters('plugin_locale', get_locale(), 'skype-live-chat');

        load_textdomain('skype-live-chat', WP_LANG_DIR . "/skype-live-chat/skype-live-chat-$locale.mo");
        load_plugin_textdomain('skype-live-chat', false, plugin_basename(dirname(__FILE__) . "/languages"));
    }

    public function includes()
    {
        require_once(SLC_PLUGIN_DIR . 'includes/class-slc-settings.php');
        require_once(SLC_PLUGIN_DIR . 'includes/functions.php');
    }

    public function scripts()
    {
        wp_enqueue_script('skype-sdk', 'https://swc.cdn.skype.com/sdk/v1/sdk.min.js', array(), '1.0', true);
    }

    public function frontend()
    {
        $skype_id = slc_get_option('skype_id');
        if ($skype_id) {
            echo '<div class="skype-button bubble" data-can-collapse="true"  data-show-header="false" data-color="#00AFF0" data-text="#80DDFF" data-contact-id="' . esc_html($skype_id) . '"></div>';
        }
    }
}

new WP_Skype_Live_Chat();